html {
  -webkit-font-smoothing: antialiased;
  scroll-behavior: smooth;
  font-size: 17px;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

:root {
  --color-black: #000000;
  --color-white: #ffffff;
  --color-red: #b40a63;
  --color-blue: #0c39b0;
  --color-light-blue: #f4f6ff;
  --color-mist-pink: #fff5fa;
  --color-light-red: #fdeef6;
  --color-light-green: #beffbc;
  --color-mist-green: #edfbed;
  --color-green: #11690d;
}

body {
  margin: 0;
  padding: 0;
  font-family: "Figtree", system-ui, sans-serif;
  font-size: 1rem; /* = 17px */
  font-weight: 400; /* Regular */
  line-height: 1.7647; /* ≈ 30px */
  color: #3f3f41;
  background-color: #fff;

  -moz-osx-font-smoothing: grayscale;
}

@media (max-width: 1023.98px) {
  body {
    font-size: 1.059rem;
    line-height: 1.6664;
  }
}

@media (max-width: 640.98px) {
  body {
    font-size: 17px;
    line-height: 30px;
  }
}

body button {
  border: none;
  cursor: pointer;
}

body button {
  font-family: "Figtree", sans-serif;
  font-size: 17px;
  line-height: 26px;
  font-weight: 600;
}

body li {
  list-style: none;
}

/* TEXT DESIGN */
/* H1 STYLE */
h1 {
  font-size: 44px;
  font-weight: 600;
  line-height: 1.273;
  color: #0d0e10;
  margin: 0;
  font-family: "Figtree", system-ui, sans-serif;
}

@media (max-width: 767.98px) {
  h1 {
    font-size: clamp(32px, 5.8vw, 42px);
  }
}

@media (max-width: 640.98px) {
  h1 {
    font-size: 32px;
    line-height: 1.3125;
  }
}

/* H2 STYLE */
h2 {
  font-size: 32px;
  font-weight: 600;
  line-height: 1.3125;
  color: #0d0e10;
  margin: 0;
  font-family: "Figtree", system-ui, sans-serif;
}

@media (max-width: 767.98px) {
  h2 {
    font-size: clamp(26px, 4.2vw, 32px);
  }
}

@media (max-width: 640.98px) {
  h2 {
    font-size: 26px;
    line-height: 36px;
  }
}

/* H3 STYLE */
h3 {
  font-size: 26px;
  font-weight: 600; /* semiBold */
  line-height: 36px;
  color: #0d0e10;
}

@media (max-width: 767.98px) {
  h3 {
    font-size: 22px;
    line-height: 32px;
  }
}

/* dark-text-div */
.dark-txt {
  color: #0d0e10;
}

.grey-txt {
  color: #3f3f41;
}

/* Large title */
.large-title {
  font-size: 24px;
  line-height: 1.41667;
  font-weight: 700;
}

@media (max-width: 767.98px) {
  .large-title {
    font-size: 20px;
    line-height: 30px;
  }
}

/* SUB TITLE */
.sub-title {
  font-size: 18px;
  line-height: 26px;
  font-weight: 600;
}

@media (max-width: 767.98px) {
  .sub-title {
    font-size: 16px;
  }
}

/* regular title */
.regular-title {
  font-size: 20px;
  line-height: 30px;
  font-weight: 700;
}

@media (max-width: 640.98px) {
  .regular-title {
    font-size: 18px;
    line-height: 28px;
  }
}

a {
  text-decoration: none;
  color: inherit;
  display: inline-flex;
  cursor: pointer;
}

/* coomon style */
.sub-txt {
  font-size: 14px;
  line-height: 24px;
  font-weight: 500;
  text-transform: uppercase;
  color: var(--color-blue);
}

.header-sub,
.txt-deco {
  color: var(--color-blue);
  position: relative;
  z-index: 5;
}

.title-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

@media (max-width: 640.98px) {
  .title-head {
    gap: 1px;
  }
}

@media (max-width: 640.98px) {
  .sub-txt {
    font-size: 13px;
    line-height: 21px;
  }
}

/* hero buttons style */
.hero-btn {
  max-width: 250px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  padding: 10px;
  min-height: 50px;
  border: 2px solid var(--color-blue);
  border-radius: 8px;
  background-color: var(--color-blue);
  color: var(--color-white);
  transition: all 0.25s ease;
}

.hero-btn span {
  display: flex;
  justify-content: center;
  align-items: center;
}

.hero-btn span svg {
  width: 25px;
  height: 25.1px;
}

.hero-btn:hover {
  background-color: transparent;
  color: var(--color-blue);
  transition: all 0.25s ease;
}

/* Animation */
/* Infinite Rotation */
@keyframes rotateInfinite {
  0% {
    transform: rotate(0);
  }
  100% {
    transform: rotate(360deg);
  }
}

/* Move Forward and Backward */
@keyframes float-back-forth {
  from {
    transform: translateY(0);
  }
  to {
    transform: translateY(-15px);
  }
}

/* Move Diagonal */
@keyframes diagonal-glide {
  from {
    transform: translate(0, 0);
  }
  to {
    transform: translate(30px, 30px);
  }
}

/* NAVBAR STYLE */
header {
  z-index: 10;
  position: relative;
}

.nav-container {
  width: 100%;
  padding: 0 32px;
  background-color: var(--color-white);
}

.nav-wrapper {
  max-width: 1216px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 26px;
  padding: 8px 0;
  height: 70px;
}

.nav-logo {
  display: flex;
  justify-content: center;
  align-items: center;
}

.nav-logo a {
  display: flex;
  justify-content: center;
  align-items: center;
}

.nav-logo a img {
  max-width: 245px;
  width: 100%;
  min-width: 200px;
  height: auto;
  object-fit: cover;
}

.nav-links {
  max-width: 628px;
  width: 100%;
  min-width: 572px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 18px;
}

.nav-links li {
  color: #0d0e10;
}

.nav-links li {
  display: flex;
  align-items: center;
  gap: 5px;
  cursor: pointer;
}

.nav-links li:hover {
  font-weight: 600;
  color: var(--color-blue);
  transition: all 0.2s ease-in-out;
}

.nav-links li span {
  display: flex;
  justify-content: center;
  align-items: center;
}

.nav-menu-btns {
  display: flex;
  align-items: center;
  gap: 35px;
}

.nav-btns {
  max-width: 249px;
  width: 100%;
  display: flex;
  align-items: center;
  gap: 3px;
  padding: 3px;
  border: 1px solid #3f3f41;
  border-radius: 8px;
}

.for-men-btn {
  max-width: 200px;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px 24px;
  min-height: 50px;
  border: 2px solid var(--color-red);
  font-family: "Figtree", sans-serif;
  font-size: 17px;
  font-weight: 600;
  line-height: 26px;
  border-radius: 8px;
  color: var(--color-white);
  background-color: var(--color-red);
  white-space: nowrap;
  transition: all 0.25s ease;
}

.for-men-btn:hover {
  background-color: var(--color-white);
  color: var(--color-red);
  transition: all 0.25s ease;
}

.ham-menu {
  display: none;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
}

.ham-menu img {
  max-width: 40px;
  width: 40px;
  height: auto;
  object-fit: cover;
}

@media (max-width: 1215px) {
  .nav-container {
    padding: 0 20px;
  }

  .nav-wrapper {
    gap: 19px;
  }

  .nav-links {
    gap: 12px;
  }
}

@media (max-width: 1170px) {
  .nav-container {
    padding: 0 16px;
  }
}

@media (max-width: 1150.98px) {
  .nav-logo a img {
    max-width: 209px;
  }

  .nav-btns {
    max-width: 186px;
  }

  .for-men-btn {
    padding: 10px 5.7px;
  }
}

@media (max-width: 1023.98px) {
  .nav-container {
    padding: 0 30px;
  }

  .nav-links {
    display: none;
  }

  .for-men-btn {
    display: none;
  }

  .ham-menu {
    display: flex;
  }
}

@media (max-width: 640.98px) {
  .nav-container {
    padding: 0 17px;
  }

  .nav-wrapper {
    height: 45px;
    padding: 4px 0;
    padding-top: 8px;
  }

  .nav-logo a img {
    max-width: 190px;
  }

  .ham-menu img {
    max-width: 28px;
  }
}

/* Overlay div */
body {
  position: relative;
}

.overlay-div {
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  position: absolute;
  z-index: 9;

  display: none;
}

.overlay-div.active {
  display: flex;
}

/* Drop Down menu style */
.for-women-drop {
  max-width: 1280px;
  width: 90.87%;
  display: flex;
  margin: 0 auto;
  flex-direction: column;
  align-items: center;

  /* drop menu position */
  position: absolute;
  top: 47px;
  left: 50%;
  z-index: 11;
}

.drop-menu {
  transform: translate(-50%, 30px) scale(0.98);

  opacity: 0;
  visibility: hidden;

  transition:
    opacity 0.25s ease,
    transform 0.25s ease;

  will-change: transform, opacity;
}

.drop-menu.active {
  opacity: 1;
  visibility: visible;
  transform: translate(-50%, 0) scale(1);
}

@media (min-width: 1281px) {
  .for-women-drop {
    left: 51%;
  }
}

@media (max-width: 1023.98px) {
  .for-women-drop {
    display: none;
  }
}

.drop-menu-header {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: -6px;
  margin-right: 31.5%;
}

.drop-menu-header img {
  max-width: 66px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.for-women-drop-wrapper {
  display: flex;
  flex-direction: column;
  gap: 34px;
  padding: 34px;
  background-color: #ffbcdf;
  border-radius: 12px;
}

.drop-menu-row {
  display: flex;
  justify-content: center;
  gap: 24px;
}

.drop-card {
  max-width: 348px;
  width: 100%;
  min-height: 142px;
  display: flex;
  align-items: center;
  gap: 16px;
  padding: 9px 15px;
  background-color: var(--color-white);
  border-radius: 8px;

  transition: all 0.1s ease-in-out;
}

.drop-card:hover {
  background-color: var(--color-red);
  color: var(--color-white);

  transition: all 0.2s ease-in-out;
}

.drop-card:hover > .drop-card-txt h2 {
  color: var(--color-white);
}

.drop-card:hover > .drop-card-txt p {
  color: var(--color-white);
}

.drop-card-icon {
  width: 42px;
  height: 42px;
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: #ffbcdf;
}

.drop-card-txt {
  display: flex;
  flex-direction: column;
}

.drop-card-txt p {
  color: #737070;
}

/* For Men Drop down menu */
.for-men-drop {
  left: 56%;
  max-width: 793px;
  width: 100%;
}

.for-men-drop-wrapper {
  background-color: #d9e3fe;
}

.drop-card.for-men-drop-card > .drop-card-icon {
  background-color: #d9e3fe;
}

.drop-card.for-men-drop-card:hover {
  background-color: var(--color-blue);
  color: var(--color-white);

  transition: all 0.2s ease-in-out;
}

.drop-card.for-men-drop-card:hover > .drop-card-txt h2 {
  color: var(--color-white);
}

.drop-card.for-men-drop-card:hover > .drop-card-txt p {
  color: var(--color-white);
}

/* Law & Act Drop down menu */
.for-men-drop.law-drop {
  left: 66%;
}

@media (min-width: 1460px) {
  .for-men-drop.law-drop {
    left: 64%;
  }
}

@media (min-width: 1590px) {
  .for-men-drop.law-drop {
    left: 61%;
  }
}

@media (min-width: 1920px) {
  .for-men-drop {
    left: 53%;
  }
}

@media (min-width: 2177px) {
  .for-men-drop.law-drop {
    left: 58%;
  }

  .for-men-drop {
    left: 53%;
  }
}

@media (min-width: 2925px) {
  .for-men-drop.law-drop {
    left: 56%;
  }
}

.for-women-drop-wrapper.law-drop-wrapper {
  background-color: var(--color-light-green);
}

.drop-card.law-drop-card > .drop-card-icon {
  background-color: var(--color-light-green);
}

.drop-card.law-drop-card:hover {
  background-color: var(--color-green);
  color: var(--color-white);

  transition: all 0.2s ease-in-out;
}

.drop-card.law-drop-card:hover > .drop-card-txt h2 {
  color: var(--color-white);
}

.drop-card.law-drop-card:hover > .drop-card-txt p {
  color: var(--color-white);
}

@media (max-width: 1155px) {
  .law-drop.for-men-drop {
    max-width: 719px;
    width: 100%;
    left: 64%;
  }

  .for-women-drop-wrapper {
    padding: 30px;
    gap: 30px;
  }
}

@media (max-width: 1150.98px) {
  .for-men-drop {
    left: 56%;
  }
}

/* Service & Advice Drop down menu */
.service-drop > .drop-menu-header {
  margin-right: -39%;
}

.service-drop-wrapper {
  background-color: var(--color-light-green);
}

/* SIDEBAR MENU STYLE */
.sidebar-overlay-div {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  display: none;
  z-index: 13;
}

.sidebar-overlay-div.active {
  display: flex;
}

.sidebar-menu {
  position: fixed;
  right: 0;
  top: 0;
  max-width: 573px;
  width: 100%;
  height: 100%;
  padding: 24px 31px;
  background-color: #eef1fc;

  transition:
    transform 0.3s ease-in-out,
    visibility 0.3s;

  transform: translateX(100%);
  visibility: hidden;

  display: flex;
  z-index: 1000;
}

.sidebar-menu.active {
  transform: translateX(0);
  visibility: visible;
}

.sidebar-menu-content {
  max-width: 510px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 29px;
}

.sidebar-links-btns {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 40px;

  overflow-y: auto;
  scroll-behavior: smooth;
  max-height: 1062px;
  padding-right: 40px;
}

/* 1. The container (the width of the scrollbar) */
.sidebar-links-btns::-webkit-scrollbar {
  width: 10px;
}

/* 2. The Track (the background part) */
.sidebar-links-btns::-webkit-scrollbar-track {
  background: var(--color-white);
  border-radius: 10px;
}

/* 3. The Thumb (the draggable part) */
.sidebar-links-btns::-webkit-scrollbar-thumb {
  background: var(--color-blue);
}

.sidebar-top {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 30px;
  max-width: 470px;
}

.sidebar-logo {
  display: flex;
  justify-content: center;
  align-items: center;
}

.sidebar-logo img {
  max-width: 240px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.close-sidebar-btn {
  width: 44px;
  height: 44px;
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: transparent;
}

.sidebar-menu-links {
  display: flex;
  flex-direction: column;
}

.sidebar-menu-links li {
  display: flex;
  flex-direction: column;
}

.side-links {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 30px;
  padding: 12px 0;
}

.side-link-arrow-icn {
  display: flex;
  justify-content: center;
  align-items: center;
}

.side-links p {
  cursor: pointer;
}

.sidebar-menu-links li:not(:first-child) {
  border-top: 1px solid #cfcece;
}

.sidebar-btns > .for-men-btn {
  display: flex;
}

.sidebar-btns > .for-wmen-btn {
  background-color: transparent;
}

.side-links-content {
  display: flex;
  flex-direction: column;
  gap: 18px;

  max-height: 0;
  overflow: hidden;
  opacity: 0;
  visibility: hidden;
  transform: translateY(-12px);
  pointer-events: none;

  transition:
    max-height 0.4s ease-in-out,
    opacity 0.3s ease-in-out,
    visibility 0.4s ease-in-out,
    transform 0.4s;
}

.side-links svg {
  transform: rotate(0deg);
  transition: transform 0.2s ease-out;
}

.side-links.active {
  color: var(--color-red);
}

.side-links.forMen.active {
  color: var(--color-blue);
}

.side-links.lawActs.active {
  color: var(--color-green);
}

.side-links.active > svg {
  transform: rotate(90deg);
  transition: transform 0.2s ease-in;
}

.side-links.active > p {
  font-weight: 600;
}

.side-links-content.active {
  max-height: 2000px;
  transform: translateY(0);
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
  margin-bottom: 8px;
  margin-top: 8px;

  transition: all 0.4s ease-in-out;
}

.side-links-card {
  display: flex;
  align-items: center;
  gap: 16px;
  padding: 8px 16px;
  border-radius: 8px;
  background-color: var(--color-white);
  cursor: pointer;
}

.side-links-card:hover {
  background-color: var(--color-red);
}

.side-links-card.formen-side-links-crd:hover {
  background-color: var(--color-blue);
}

.side-links-card.lawacts-side-links-crd:hover {
  background-color: var(--color-green);
}

.side-links-card:hover > .side-links-card-txt h2 {
  color: var(--color-white);
}

.side-links-card:hover > .side-links-card-txt p {
  color: var(--color-white);
}

.side-links-card-icon {
  width: 42px;
  height: 42px;
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: #ffbcdf;
}

.side-links-card.formen-side-links-crd > .side-links-card-icon {
  background-color: #d9e3fe;
}

.side-links-card.lawacts-side-links-crd > .side-links-card-icon {
  background-color: #beffbc;
}

.side-links-card-txt p {
  color: #737070;
}

@media (max-width: 640.98px) {
  .sidebar-menu {
    padding: 16px;
    max-width: 375px;
  }

  .sidebar-logo img {
    max-width: 190px;
  }

  .close-sidebar-btn {
    width: 28px;
    height: 28px;
  }

  .close-sidebar-btn img {
    width: 15.34px;
    height: 15.34px;
  }

  .sidebar-links-btns {
    padding-right: 11.5px;
  }
}

/* SECTION (CTA Section) */
.cta-container {
  width: 100%;
  padding: 0 20px;
  background-color: var(--color-blue);
}

.cta-wrapper {
  max-width: 1240px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 80px;
  padding: 80px 0;
}

.cta-image {
  display: flex;
  justify-content: center;
  align-items: center;
}

.cta-image img {
  max-width: 223px;
  width: 100%;
  height: auto;
  object-fit: contain;
}

.cta-content {
  max-width: 572px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.cta-head-points {
  display: flex;
  flex-direction: column;
  gap: 17px;
}

.cta-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.cta-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.cta-head .sub-txt,
.cta-head h2,
.cta-head-para p,
.cta-point-item p {
  color: var(--color-white);
}

.cta-point-list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 12px 35px;
}

.cta-point-item {
  display: flex;
  align-items: center;
  gap: 10px;
}

.cta-point-item span {
  width: 22px;
  height: 22px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
}

.cta-point-item span img {
  width: 22px;
  height: 22px;
  object-fit: contain;
}

.cta-btn-row {
  display: flex;
  align-items: center;
  gap: 27px;
}

.cta-btn {
  max-width: 251px;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  min-height: 50px;
  padding: 10.47px 20px;
  border: 2px solid var(--color-white);
  border-radius: 8px;
  transition: all 0.25s ease;
}

.cta-btn span {
  display: flex;
  justify-content: center;
  align-items: center;
}

.cta-btn-primary {
  background-color: var(--color-white);
  color: var(--color-blue);
}

.cta-btn-primary:hover {
  background-color: transparent;
  color: var(--color-white);
  transition: all 0.25s ease;
}

.cta-btn-secondary {
  gap: 20px;
  background-color: transparent;
  color: var(--color-white);
  border: 1px solid rgba(255, 255, 255, 0.8);
}

.cta-btn-secondary:hover {
  background-color: var(--color-white);
  color: var(--color-blue);
  transition: all 0.25s ease;
}

@media (max-width: 1023.98px) {
  .cta-container {
    padding: 0 20px;
  }

  .cta-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
    align-items: center;
  }

  .cta-image {
    max-width: fit-content;
    justify-content: center;
  }

  .cta-image img {
    margin-right: unset;
  }

  .cta-content {
    min-width: unset;
    max-width: 600px;
    align-items: center;
  }

  .cta-head-para {
    align-items: center;
    text-align: center;
    gap: 10px;
  }

  .cta-head-para p {
    max-width: 560px;
  }

  .cta-head-points {
    align-items: center;
  }

  .cta-point-list {
    grid-template-columns: repeat(2, 1fr);
    max-width: 584px;
    gap: 12px 40px;
  }

  .cta-point-item {
    gap: 6px;
  }

  .cta-point-item span img {
    width: 20px;
    height: 20px;
  }

  .cta-btn-row {
    max-width: 100%;
    width: 100%;
    justify-content: center;
    flex-wrap: wrap;
    row-gap: 24px;
  }
}

@media (max-width: 640.98px) {
  .cta-container {
    padding: 0 16px;
  }

  .cta-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .cta-head {
    gap: 1px;
  }

  .cta-head-para p {
    max-width: 525px;
  }

  .cta-head-points {
    gap: 16px;
  }

  .cta-point-list {
    grid-template-columns: 1fr;
  }
}

@media (max-width: 410px) {
  .cta-head {
    max-width: 261px;
  }

  .cta-image img {
    max-width: 169px;
  }

  .cta-head-para p {
    max-width: 313px;
  }
}

/* FOOTER STYLE */
.footer-container {
  width: 100%;
  padding: 0 20px;
  background-color: #0d0e10;
}

.footer-wrapper {
  max-width: 1240px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  gap: 35px;
  padding: 80px 0;
  padding-bottom: 20px;
}

.footer-top {
  width: 100%;
  display: flex;
  justify-content: space-between;
  gap: 30px;
}

.company-bio {
  max-width: 273px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 35px;
}

.bio-desc {
  font-size: 15px;
  line-height: 24px;
  padding-right: 8px;
  color: var(--color-white);
}

.footer-logo {
  display: flex;
  justify-content: center;
  align-items: center;
}

.footer-logo a img {
  max-width: 273px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.social-links {
  display: flex;
  align-items: center;
  gap: 26px;
  padding: 4px 0;
}

.soicial {
  display: flex;
  justify-content: center;
  align-items: center;
}

.soicial a img {
  width: 30px;
  height: 30px;
  transition: all 0.3s ease;
}

.soicial:hover > a > img {
  content: url("../../assets/icons/youtube-white-fill-icn.svg");
}

.twitter.soicial:hover > a > img {
  content: url("../../assets/icons/twitter-white-fill-icn.svg");
}

.facebook.soicial:hover > a > img {
  content: url("../../assets/icons/facebook-white-fill-icn.svg");
}

.insta.soicial:hover > a > img {
  content: url("../../assets/icons/instagram-white-fill-icn.svg");
}

.footer-column-links {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 40px;
}

.footer-column {
  display: flex;
  flex-direction: column;
  gap: 16px;
  min-width: 136px;
}

.footer-column h2 {
  color: var(--color-white);
  position: relative;
}

.footer-column h2::before {
  content: url("../../assets/icons/footer-link-head-deco-icn.svg");
  position: absolute;
  bottom: -8px;
  left: 1px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 35px;
  height: auto;
}

.col-links {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.col-links li a {
  font-size: 15px;
  line-height: 24px;
  color: var(--color-white);
}

.col-links li a:hover {
  text-decoration: underline;
  text-underline-offset: 5px;
  transition: all 0.2s ease-in-out;
}

.disclaimer {
  max-width: 1157px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 17px 24px;
  border-radius: 10px;
  background-color: rgba(255, 255, 255, 0.05);
}

.disclaimer p {
  color: #a7a7a7;
  max-width: 1074px;
  font-size: 15px;
  line-height: 24px;
}

.footer-bottom {
  max-width: 1156px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.footer-bottom p,
.footer-bottom a {
  font-size: 15px;
  line-height: 24px;
  font-weight: 500;
  color: var(--color-white);
}

.important-links {
  display: flex;
  align-items: center;
  gap: 24px;
}

.important-links li {
  display: flex;
  justify-content: center;
  align-items: flex-start;
}

.important-links li:not(:last-child) {
  padding-right: 24px;
  border-right: 1px solid var(--color-white);
}

.important-links li a:hover {
  text-decoration: underline;
  text-underline-offset: 5px;
  transition: all 0.2s ease-in-out;
}

@media (max-width: 1100px) {
  .footer-top {
    justify-content: space-around;
    gap: 73px;
  }

  .footer-column-links {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 49px 120px;
  }

  .footer-bottom {
    flex-direction: column-reverse;
    gap: 35px;
    align-items: center;
  }
}

@media (max-width: 1023.98px) {
  .footer-wrapper {
    padding: 60px 0;
    padding-bottom: 20px;
  }

  .footer-top {
    flex-direction: column;
    gap: 35px;
    justify-content: flex-start;
  }

  .footer-column-links {
    max-width: 782px;
    gap: 49px;
  }

  .footer-column h2 {
    font-size: 20px;
    line-height: 30px;
    font-weight: 700;
  }
}

@media (max-width: 780px) {
  .disclaimer {
    max-width: 708px;
  }
}

@media (max-width: 640.98px) {
  .footer-container {
    padding: 0 20px;
  }

  .footer-wrapper {
    padding: 50px 0;
    padding-bottom: 20px;
  }

  .footer-top {
    gap: 40px;
  }

  .footer-column-links {
    display: flex;
    flex-direction: column;
    gap: 40px;
  }

  .important-links {
    flex-wrap: wrap;
    justify-content: center;
    gap: 16px;
  }

  .important-links li:not(:last-child) {
    padding-right: 13px;
  }

  .col-links {
    gap: 20px;
  }

  .footer-column h2 {
    font-size: 18px;
    line-height: 28px;
  }
}

@media (max-width: 480px) {
  .footer-container {
    padding: 0 10px;
  }

  .disclaimer {
    padding: 13px 27px;
  }

  .disclaimer P {
    text-align: center;
  }
}
